package zdb

import "github.com/jackc/pgx/v5"

var ErrNoRows = pgx.ErrNoRows

type Opts interface {
	Opts() (sql string, args map[string]any)
}

func remove[T comparable](slice []T, s int) []T {
	return append(slice[:s], slice[s+1:]...)
}

type Logger interface {
	Printf(format string, v ...any)
}
